> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a summary of your card program

> Get a summary of your card program, optionally for a specific period.



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /developer/cards/summary
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /developer/cards/summary:
    get:
      tags:
        - Cards
      summary: Get a summary of your card program
      description: Get a summary of your card program, optionally for a specific period.
      parameters:
        - $ref: '#/components/parameters/CardProgramSummaryPeriodParameter'
        - $ref: '#/components/parameters/CardProgramSummaryPeriodKeyParameter'
      responses:
        '200':
          description: The summary of a card program
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardProgramSummary'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    CardProgramSummaryPeriodParameter:
      in: query
      name: period
      required: true
      schema:
        type: string
        enum:
          - year
          - month
          - week
          - day
          - lifetime
      description: >-
        The type of period to summarize the card program by. If `lifetime` is
        specified, the `period_key` is not required.
    CardProgramSummaryPeriodKeyParameter:
      in: query
      name: period_key
      schema:
        type: string
      description: >
        A string to indicate the period to retrieve the card program summary
        for.

        - For `year`, the period key should be in the `YYYY` format

        - For `month`, the period key should be in the `YYYYMM` format

        - For `week`, the period key should be in the `YYYYMMDD` format
        indicating the beginning day of the week.

        - For `day`, the period key should be in the `YYYYMMDD` format

        - For `lifetime`, the period key is not required

        Note that if a specific period is specified, this endpoint currently
        only supports fetching for periods with complete data (e.g. only up to
        the previous year, month, week, or day).
  schemas:
    CardProgramSummary:
      description: The summary of a card program for a given period
      type: object
      properties:
        period:
          type: string
          description: The period type of the card program summary
          enum:
            - year
            - month
            - week
            - day
            - lifetime
        period_starting:
          type: string
          description: The starting date of the period, in ISO8601 format
          example: '2025-01-01'
        cards_provisioned_count:
          type: integer
          description: The number of cards provisioned during the period
          example: 1123
        card_transactions_count:
          type: integer
          description: >-
            The number of card transactions during the period, excluding
            refunds.
          example: 31415
        provisioned_cards_by_country:
          type: object
          description: >-
            The number of cards provisioned during the period, by issuing
            country. The key is the ISO-3166-1 alpha-3 country code, and the
            value is the number of cards provisioned for that issuing country.
          example:
            USA: 123
            MEX: 45
        transaction_volume:
          type: string
          description: The total transaction volume during the period, in USD
          example: '-100.0'
        transacting_card_accounts_count:
          type: integer
          description: The number of card accounts that transacted during the period
          example: 2047
        card_transactions_count_by_country:
          type: object
          description: >-
            The number of card transactions during the period, by merchant
            country. The key is the ISO-3166-1 alpha-3 country code, and the
            value is the number of card transactions for that merchant country.
          example:
            USA: 74
            MEX: 55
        transaction_volume_by_country:
          type: object
          description: >-
            The transaction volume during the period, by merchant country. The
            key is the ISO-3166-1 alpha-3 country code, and the value is the
            transaction volume for that merchant country.
          example:
            USA: '7.04'
            MEX: '5.0'
        transacting_cards_by_country:
          type: object
          description: >-
            The number of cards that transacted during the period, by issuing
            country. The key is the ISO-3166-1 alpha-3 country code, and the
            value is the number of cards transacted for that issuing country.
          example:
            USA: 123
            MEX: 45
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
  responses:
    BadRequestError:
      description: Request containing missing or invalid parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            BadCustomerRequestErrorExample:
              summary: Bad customer request
              value:
                code: bad_customer_request
                message: fields missing from customer body.
                name: first_name,ssn
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````